s-num-old"> 55
+              "namedChunks": false,
56
+              "aot": true,
57
+              "extractLicenses": true,
58
+              "vendorChunk": false,
59
+              "buildOptimizer": true,
60
+              "budgets": [
61
+                {
62
+                  "type": "initial",
63
+                  "maximumWarning": "2mb",
64
+                  "maximumError": "5mb"
65
+                }
66
+              ]
67
+            },
68
+            "ci": {
69
+              "progress": false
70
+            }
71
+          }
72
+        },
73
+        "serve": {
74
+          "builder": "@angular-devkit/build-angular:dev-server",
75
+          "options": {
76
+            "browserTarget": "app:build"
77
+          },
78
+          "configurations": {
79
+            "production": {
80
+              "browserTarget": "app:build:production"
81
+            },
82
+            "ci": {
83
+              "progress": false
84
+            }
85
+          }
86
+        },
87
+        "extract-i18n": {
88
+          "builder": "@angular-devkit/build-angular:extract-i18n",
89
+          "options": {
90
+            "browserTarget": "app:build"
91
+          }
92
+        },
93
+        "test": {
94
+          "builder": "@angular-devkit/build-angular:karma",
95
+          "options": {
96
+            "main": "src/test.ts",
97
+            "polyfills": "src/polyfills.ts",
98
+            "tsConfig": "tsconfig.spec.json",
99
+            "karmaConfig": "karma.conf.js",
100
+            "styles": [],
101
+            "scripts": [],
102
+            "assets": [
103
+              {
104
+                "glob": "favicon.ico",
105
+                "input": "src/",
106
+                "output": "/"
107
+              },
108
+              {
109
+                "glob": "**/*",
110
+                "input": "src/assets",
111
+                "output": "/assets"
112
+              }
113
+            ]
114
+          },
115
+          "configurations": {
116
+            "ci": {
117
+              "progress": false,
118
+              "watch": false
119
+            }
120
+          }
121
+        },
122
+        "lint": {
123
+          "builder": "@angular-eslint/builder:lint",
124
+          "options": {
125
+            "lintFilePatterns": [
126
+              "src/**/*.ts",
127
+              "src/**/*.html"
128
+            ]
129
+          }
130
+        },
131
+        "e2e": {
132
+          "builder": "@angular-devkit/build-angular:protractor",
133
+          "options": {
134
+            "protractorConfig": "e2e/protractor.conf.js",
135
+            "devServerTarget": "app:serve"
136
+          },
137
+          "configurations": {
138
+            "production": {
139
+              "devServerTarget": "app:serve:production"
140
+            },
141
+            "ci": {
142
+              "devServerTarget": "app:serve:ci"
143
+            }
144
+          }
145
+        },
146
+        "ionic-cordova-build": {
147
+          "builder": "@ionic/angular-toolkit:cordova-build",
148
+          "options": {
149
+            "browserTarget": "app:build"
150
+          },
151
+          "configurations": {
152
+            "production": {
153
+              "browserTarget": "app:build:production"
154
+            }
155
+          }
156
+        },
157
+        "ionic-cordova-serve": {
158
+          "builder": "@ionic/angular-toolkit:cordova-serve",
159
+          "options": {
160
+            "cordovaBuildTarget": "app:ionic-cordova-build",
161
+            "devServerTarget": "app:serve"
162
+          },
163
+          "configurations": {
164
+            "production": {
165
+              "cordovaBuildTarget": "app:ionic-cordova-build:production",
166
+              "devServerTarget": "app:serve:production"
167
+            }
168
+          }
169
+        }
170
+      }
171
+    }
172
+  },
173
+  "cli": {
174
+    "analytics": false,
175
+    "defaultCollection": "@ionic/angular-toolkit"
176
+  },
177
+  "schematics": {
178
+    "@ionic/angular-toolkit:component": {
179
+      "styleext": "scss"
180
+    },
181
+    "@ionic/angular-toolkit:page": {
182
+      "styleext": "scss"
183
+    }
184
+  }
185
+}

+ 10 - 0
capacitor.config.ts

@@ -0,0 +1,10 @@
1
+import { CapacitorConfig } from '@capacitor/cli';
2
+
3
+const config: CapacitorConfig = {
4
+  appId: 'io.ionic.starter',
5
+  appName: 'Tune2Win',
6
+  webDir: 'www',
7
+  bundledWebRuntime: false
8
+};
9
+
10
+export default config;

+ 37 - 0
e2e/protractor.conf.js

@@ -0,0 +1,37 @@
1
+// @ts-check
2
+// Protractor configuration file, see link for more information
3
+// https://github.com/angular/protractor/blob/master/lib/config.ts
4
+
5
+const { SpecReporter, StacktraceOption } = require('jasmine-spec-reporter');
6
+
7
+/**
8
+ * @type { import("protractor").Config }
9
+ */
10
+exports.config = {
11
+  allScriptsTimeout: 11000,
12
+  specs: [
13
+    './src/**/*.e2e-spec.ts'
14
+  ],
15
+  capabilities: {
16
+    browserName: 'chrome'
17
+  },
18
+  directConnect: true,
19
+  SELENIUM_PROMISE_MANAGER: false,
20
+  baseUrl: 'http://localhost:4200/',
21
+  framework: 'jasmine',
22
+  jasmineNodeOpts: {
23
+    showColors: true,
24
+    defaultTimeoutInterval: 30000,
25
+    print: function() {}
26
+  },
27
+  onPrepare() {
28
+    require('ts-node').register({
29
+      project: require('path').join(__dirname, './tsconfig.json')
30
+    });
31
+    jasmine.getEnv().addReporter(new SpecReporter({
32
+      spec: {
33
+        displayStacktrace: StacktraceOption.PRETTY
34
+      }
35
+    }));
36
+  }
37
+};

+ 14 - 0
e2e/src/app.e2e-spec.ts

@@ -0,0 +1,14 @@
1
+import { AppPage } from './app.po';
2
+
3
+describe('new App', () => {
4
+  let page: AppPage;
5
+
6
+  beforeEach(() => {
7
+    page = new AppPage();
8
+  });
9
+
10
+  it('should display welcome message', () => {
11
+    page.navigateTo();
12
+    expect(page.getPageTitle()).toContain('Tab 1');
13
+  });
14
+});

+ 11 - 0
e2e/src/app.po.ts

@@ -0,0 +1,11 @@
1
+import { browser, by, element } from 'protractor';
2
+
3
+export class AppPage {
4
+  navigateTo() {
5
+    return browser.get('/');
6
+  }
7
+
8
+  getPageTitle() {
9
+    return element(by.css('ion-title')).getText();
10
+  }
11
+}

+ 12 - 0
e2e/tsconfig.json

@@ -0,0 +1,12 @@
1
+{
2
+  "extends": "../tsconfig.json",
3
+  "compilerOptions": {
4
+    "outDir": "../out-tsc/e2e",
5
+    "module": "commonjs",
6
+    "target": "es2018",
7
+    "types": [
8
+      "jasmine",
9
+      "node"
10
+    ]
11
+  }
12
+}

+ 7 - 0
ionic.config.json

@@ -0,0 +1,7 @@
1
+{
2
+  "name": "Tune2Win",
3
+  "integrations": {
4
+    "capacitor": {}
5
+  },
6
+  "type": "angular"
7
+}

+ 9 - 0
ios/.gitignore

@@ -0,0 +1,9 @@
1
+App/build
2
+App/Pods
3
+App/Podfile.lock
4
+App/App/public
5
+DerivedData
6
+xcuserdata
7
+
8
+# Cordova plugins for Capacitor
9
+capacitor-cordova-ios-plugins

+ 416 - 0
ios/App/App.xcodeproj/project.pbxproj

@@ -0,0 +1,416 @@
1
+// !$*UTF8*$!
2
+{
3
+	archiveVersion = 1;
4
+	classes = {
5
+	};
6
+	objectVersion = 48;
7
+	objects = {
8
+
9
+/* Begin PBXBuildFile section */
10
+		1EDEF1D527C21110006F183C /* HealthKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1EDEF1D427C21110006F183C /* HealthKit.framework */; };
11
+		2FAD9763203C412B000D30F8 /* config.xml in Resources */ = {isa = PBXBuildFile; fileRef = 2FAD9762203C412B000D30F8 /* config.xml */; };
12
+		50379B232058CBB4000EE86E /* capacitor.config.json in Resources */ = {isa = PBXBuildFile; fileRef = 50379B222058CBB4000EE86E /* capacitor.config.json */; };
13
+		504EC3081FED79650016851F /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 504EC3071FED79650016851F /* AppDelegate.swift */; };
14
+		504EC30D1FED79650016851F /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 504EC30B1FED79650016851F /* Main.storyboard */; };
15
+		504EC30F1FED79650016851F /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 504EC30E1FED79650016851F /* Assets.xcassets */; };
16
+		504EC3121FED79650016851F /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 504EC3101FED79650016851F /* LaunchScreen.storyboard */; };
17
+		50B271D11FEDC1A000F3C39B /* public in Resources */ = {isa = PBXBuildFile; fileRef = 50B271D01FEDC1A000F3C39B /* public */; };
18
+		A084ECDBA7D38E1E42DFC39D /* Pods_App.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = AF277DCFFFF123FFC6DF26C7 /* Pods_App.framework */; };
19
+/* End PBXBuildFile section */
20
+
21
+/* Begin PBXFileReference section */
22
+		1EDEF1D327C21110006F183C /* App.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = App.entitlements; sourceTree = "<group>"; };
23
+		1EDEF1D427C21110006F183C /* HealthKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = HealthKit.framework; path = System/Library/Frameworks/HealthKit.framework; sourceTree = SDKROOT; };
24
+		2FAD9762203C412B000D30F8 /* config.xml */ = {isa = PBXFileReference; lastKnownFileType = text.xml; path = config.xml; sourceTree = "<group>"; };
25
+		50379B222058CBB4000EE86E /* capacitor.config.json */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.json; path = capacitor.config.json; sourceTree = "<group>"; };
26
+		504EC3041FED79650016851F /* App.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = App.app; sourceTree = BUILT_PRODUCTS_DIR; };
27
+		504EC3071FED79650016851F /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
28
+		504EC30C1FED79650016851F /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
29
+		504EC30E1FED79650016851F /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
30
+		504EC3111FED79650016851F /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
31
+		504EC3131FED79650016851F /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
32
+		50B271D01FEDC1A000F3C39B /* public */ = {isa = PBXFileReference; lastKnownFileType = folder; path = public; sourceTree = "<group>"; };
33
+		AF277DCFFFF123FFC6DF26C7 /* Pods_App.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_App.framework; sourceTree = BUILT_PRODUCTS_DIR; };
34
+		AF51FD2D460BCFE21FA515B2 /* Pods-App.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-App.release.xcconfig"; path = "Pods/Target Support Files/Pods-App/Pods-App.release.xcconfig"; sourceTree = "<group>"; };
35
+		FC68EB0AF532CFC21C3344DD /* Pods-App.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-App.debug.xcconfig"; path = "Pods/Target Support Files/Pods-App/Pods-App.debug.xcconfig"; sourceTree = "<group>"; };
36
+/* End PBXFileReference section */
37
+
38
+/* Begin PBXFrameworksBuildPhase section */
39
+		504EC3011FED79650016851F /* Frameworks */ = {
40
+			isa = PBXFrameworksBuildPhase;
41
+			buildActionMask = 2147483647;
42
+			files = (
43
+				A084ECDBA7D38E1E42DFC39D /* Pods_App.framework in Frameworks */,
44
+				1EDEF1D527C21110006F183C /* HealthKit.framework in Frameworks */,
45
+			);
46
+			runOnlyForDeploymentPostprocessing = 0;
47
+		};
48
+/* End PBXFrameworksBuildPhase section */
49
+
50
+/* Begin PBXGroup section */
51
+		27E2DDA53C4D2A4D1A88CE4A /* Frameworks */ = {
52
+			isa = PBXGroup;
53
+			children = (
54
+				1EDEF1D427C21110006F183C /* HealthKit.framework */,
55
+				AF277DCFFFF123FFC6DF26C7 /* Pods_App.framework */,
56
+			);
57
+			name = Frameworks;
58
+			sourceTree = "<group>";
59
+		};
60
+		504EC2FB1FED79650016851F = {
61
+			isa = PBXGroup;
62
+			children = (
63
+				504EC3061FED79650016851F /* App */,
64
+				504EC3051FED79650016851F /* Products */,
65
+				7F8756D8B27F46E3366F6CEA /* Pods */,
66
+				27E2DDA53C4D2A4D1A88CE4A /* Frameworks */,
67
+			);
68
+			sourceTree = "<group>";
69
+		};
70
+		504EC3051FED79650016851F /* Products */ = {
71
+			isa = PBXGroup;
72
+			children = (
73
+				504EC3041FED79650016851F /* App.app */,
74
+			);
75
+			name = Products;
76
+			sourceTree = "<group>";
77
+		};
78
+		504EC3061FED79650016851F /* App */ = {
79
+			isa = PBXGroup;
80
+			children = (
81
+				1EDEF1D327C21110006F183C /* App.entitlements */,
82
+				50379B222058CBB4000EE86E /* capacitor.config.json */,
83
+				504EC3071FED79650016851F /* AppDelegate.swift */,
84
+				504EC30B1FED79650016851F /* Main.storyboard */,
85
+				504EC30E1FED79650016851F /* Assets.xcassets */,
86
+				504EC3101FED79650016851F /* LaunchScreen.storyboard */,
87
+				504EC3131FED79650016851F /* Info.plist */,
88
+				2FAD9762203C412B000D30F8 /* config.xml */,
89
+				50B271D01FEDC1A000F3C39B /* public */,
90
+			);
91
+			path = App;
92
+			sourceTree = "<group>";
93
+		};
94
+		7F8756D8B27F46E3366F6CEA /* Pods */ = {
95
+			isa = PBXGroup;
96
+			children = (
97
+				FC68EB0AF532CFC21C3344DD /* Pods-App.debug.xcconfig */,
98
+				AF51FD2D460BCFE21FA515B2 /* Pods-App.release.xcconfig */,
99
+			);
100
+			name = Pods;
101
+			sourceTree = "<group>";
102
+		};
103
+/* End PBXGroup section */
104
+
105
+/* Begin PBXNativeTarget section */
106
+		504EC3031FED79650016851F /* App */ = {
107
+			isa = PBXNativeTarget;
108
+			buildConfigurationList = 504EC3161FED79650016851F /* Build configuration list for PBXNativeTarget "App" */;
109
+			buildPhases = (
110
+				6634F4EFEBD30273BCE97C65 /* [CP] Check Pods Manifest.lock */,
111
+				504EC3001FED79650016851F /* Sources */,
112
+				504EC3011FED79650016851F /* Frameworks */,
113
+				504EC3021FED79650016851F /* Resources */,
114
+				9592DBEFFC6D2A0C8D5DEB22 /* [CP] Embed Pods Frameworks */,
115
+			);
116
+			buildRules = (
117
+			);
118
+			dependencies = (
119
+			);
120
+			name = App;
121
+			productName = App;
122
+			productReference = 504EC3041FED79650016851F /* App.app */;
123
+			productType = "com.apple.product-type.application";
124
+		};
125
+/* End PBXNativeTarget section */
126
+
127
+/* Begin PBXProject section */
128
+		504EC2FC1FED79650016851F /* Project object */ = {
129
+			isa = PBXProject;
130
+			attributes = {
131
+				LastSwiftUpdateCheck = 0920;
132
+				LastUpgradeCheck = 0920;
133
+				TargetAttributes = {
134
+					504EC3031FED79650016851F = {
135
+						CreatedOnToolsVersion = 9.2;
136
+						LastSwiftMigration = 1100;
137
+						ProvisioningStyle = Automatic;
138
+					};
139
+				};
140
+			};
141
+			buildConfigurationList = 504EC2FF1FED79650016851F /* Build configuration list for PBXProject "App" */;
142
+			compatibilityVersion = "Xcode 8.0";
143
+			developmentRegion = en;
144
+			hasScannedForEncodings = 0;
145
+			knownRegions = (
146
+				en,
147
+				Base,
148
+			);
149
+			mainGroup = 504EC2FB1FED79650016851F;
150
+			productRefGroup = 504EC3051FED79650016851F /* Products */;
151
+			projectDirPath = "";
152
+			projectRoot = "";
153
+			targets = (
154
+				504EC3031FED79650016851F /* App */,
155
+			);
156
+		};
157
+/* End PBXProject section */
158
+
159
+/* Begin PBXResourcesBuildPhase section */
160
+		504EC3021FED79650016851F /* Resources */ = {
161
+			isa = PBXResourcesBuildPhase;
162
+			buildActionMask = 2147483647;
163
+			files = (
164
+				504EC3121FED79650016851F /* LaunchScreen.storyboard in Resources */,
165
+				50B271D11FEDC1A000F3C39B /* public in Resources */,
166
+				504EC30F1FED79650016851F /* Assets.xcassets in Resources */,
167
+				50379B232058CBB4000EE86E /* capacitor.config.json in Resources */,
168
+				504EC30D1FED79650016851F /* Main.storyboard in Resources */,
169
+				2FAD9763203C412B000D30F8 /* config.xml in Resources */,
170
+			);
171
+			runOnlyForDeploymentPostprocessing = 0;
172
+		};
173
+/* End PBXResourcesBuildPhase section */
174
+
175
+/* Begin PBXShellScriptBuildPhase section */
176
+		6634F4EFEBD30273BCE97C65 /* [CP] Check Pods Manifest.lock */ = {
177
+			isa = PBXShellScriptBuildPhase;
178
+			buildActionMask = 2147483647;
179
+			files = (
180
+			);
181
+			inputPaths = (
182
+				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
183
+				"${PODS_ROOT}/Manifest.lock",
184
+			);
185
+			name = "[CP] Check Pods Manifest.lock";
186
+			outputPaths = (
187
+				"$(DERIVED_FILE_DIR)/Pods-App-checkManifestLockResult.txt",
188
+			);
189
+			runOnlyForDeploymentPostprocessing = 0;
190
+			shellPath = /bin/sh;
191
+			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
192
+			showEnvVarsInLog = 0;
193
+		};
194
+		9592DBEFFC6D2A0C8D5DEB22 /* [CP] Embed Pods Frameworks */ = {
195
+			isa = PBXShellScriptBuildPhase;
196
+			buildActionMask = 2147483647;
197
+			files = (
198
+			);
199
+			inputPaths = (
200
+			);
201
+			name = "[CP] Embed Pods Frameworks";
202
+			outputPaths = (
203
+			);
204
+			runOnlyForDeploymentPostprocessing = 0;
205
+			shellPath = /bin/sh;
206
+			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-App/Pods-App-frameworks.sh\"\n";
207
+			showEnvVarsInLog = 0;
208
+		};
209
+/* End PBXShellScriptBuildPhase section */
210
+
211
+/* Begin PBXSourcesBuildPhase section */
212
+		504EC3001FED79650016851F /* Sources */ = {
213
+			isa = PBXSourcesBuildPhase;
214
+			buildActionMask = 2147483647;
215
+			files = (
216
+				504EC3081FED79650016851F /* AppDelegate.swift in Sources */,
217
+			);
218
+			runOnlyForDeploymentPostprocessing = 0;
219
+		};
220
+/* End PBXSourcesBuildPhase section */
221
+
222
+/* Begin PBXVariantGroup section */
223
+		504EC30B1FED79650016851F /* Main.storyboard */ = {
224
+			isa = PBXVariantGroup;
225
+			children = (
226
+				504EC30C1FED79650016851F /* Base */,
227
+			);
228
+			name = Main.storyboard;
229
+			sourceTree = "<group>";
230
+		};
231
+		504EC3101FED79650016851F /* LaunchScreen.storyboard */ = {
232
+			isa = PBXVariantGroup;
233
+			children = (
234
+				504EC3111FED79650016851F /* Base */,
235
+			);
236
+			name = LaunchScreen.storyboard;
237
+			sourceTree = "<group>";
238
+		};
239
+/* End PBXVariantGroup section */
240
+
241
+/* Begin XCBuildConfiguration section */
242
+		504EC3141FED79650016851F /* Debug */ = {
243
+			isa = XCBuildConfiguration;
244
+			buildSettings = {
245
+				ALWAYS_SEARCH_USER_PATHS = NO;
246
+				CLANG_ANALYZER_NONNULL = YES;
247
+				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
248
+				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
249
+				CLANG_CXX_LIBRARY = "libc++";
250
+				CLANG_ENABLE_MODULES = YES;
251
+				CLANG_ENABLE_OBJC_ARC = YES;
252
+				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
253
+				CLANG_WARN_BOOL_CONVERSION = YES;
254
+				CLANG_WARN_COMMA = YES;
255
+				CLANG_WARN_CONSTANT_CONVERSION = YES;
256
+				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
257
+				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
258
+				CLANG_WARN_EMPTY_BODY = YES;
259
+				CLANG_WARN_ENUM_CONVERSION = YES;
260
+				CLANG_WARN_INFINITE_RECURSION = YES;
261
+				CLANG_WARN_INT_CONVERSION = YES;
262
+				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
263
+				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
264
+				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
265
+				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
266
+				CLANG_WARN_STRICT_PROTOTYPES = YES;
267
+				CLANG_WARN_SUSPICIOUS_MOVE = YES;
268
+				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
269
+				CLANG_WARN_UNREACHABLE_CODE = YES;
270
+				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
271
+				CODE_SIGN_IDENTITY = "iPhone Developer";
272
+				COPY_PHASE_STRIP = NO;
273
+				DEBUG_INFORMATION_FORMAT = dwarf;
274
+				ENABLE_STRICT_OBJC_MSGSEND = YES;
275
+				ENABLE_TESTABILITY = YES;
276
+				GCC_C_LANGUAGE_STANDARD = gnu11;
277
+				GCC_DYNAMIC_NO_PIC = NO;
278
+				GCC_NO_COMMON_BLOCKS = YES;
279
+				GCC_OPTIMIZATION_LEVEL = 0;
280
+				GCC_PREPROCESSOR_DEFINITIONS = (
281
+					"DEBUG=1",
282
+					"$(inherited)",
283
+				);
284
+				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
285
+				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
286
+				GCC_WARN_UNDECLARED_SELECTOR = YES;
287
+				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
288
+				GCC_WARN_UNUSED_FUNCTION = YES;
289
+				GCC_WARN_UNUSED_VARIABLE = YES;
290
+				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
291
+				MTL_ENABLE_DEBUG_INFO = YES;
292
+				ONLY_ACTIVE_ARCH = YES;
293
+				SDKROOT = iphoneos;
294
+				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
295
+				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
296
+			};
297
+			name = Debug;
298
+		};
299
+		504EC3151FED79650016851F /* Release */ = {
300
+			isa = XCBuildConfiguration;
301
+			buildSettings = {
302
+				ALWAYS_SEARCH_USER_PATHS = NO;
303
+				CLANG_ANALYZER_NONNULL = YES;
304
+				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
305
+				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
306
+				CLANG_CXX_LIBRARY = "libc++";
307
+				CLANG_ENABLE_MODULES = YES;
308
+				CLANG_ENABLE_OBJC_ARC = YES;
309
+				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
310
+				CLANG_WARN_BOOL_CONVERSION = YES;
311
+				CLANG_WARN_COMMA = YES;
312
+				CLANG_WARN_CONSTANT_CONVERSION = YES;
313
+				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
314
+				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
315
+				CLANG_WARN_EMPTY_BODY = YES;
316
+				CLANG_WARN_ENUM_CONVERSION = YES;
317
+				CLANG_WARN_INFINITE_RECURSION = YES;
318
+				CLANG_WARN_INT_CONVERSION = YES;
319
+				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
320
+				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
321
+				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
322
+				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
323
+				CLANG_WARN_STRICT_PROTOTYPES = YES;
324
+				CLANG_WARN_SUSPICIOUS_MOVE = YES;
325
+				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
326
+				CLANG_WARN_UNREACHABLE_CODE = YES;
327
+				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
328
+				CODE_SIGN_IDENTITY = "iPhone Developer";
329
+				COPY_PHASE_STRIP = NO;
330
+				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
331
+				ENABLE_NS_ASSERTIONS = NO;
332
+				ENABLE_STRICT_OBJC_MSGSEND = YES;
333
+				GCC_C_LANGUAGE_STANDARD = gnu11;
334
+				GCC_NO_COMMON_BLOCKS = YES;
335
+				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
336
+				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
337
+				GCC_WARN_UNDECLARED_SELECTOR = YES;
338
+				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
339
+				GCC_WARN_UNUSED_FUNCTION = YES;
340
+				GCC_WARN_UNUSED_VARIABLE = YES;
341
+				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
342
+				MTL_ENABLE_DEBUG_INFO = NO;
343
+				SDKROOT = iphoneos;
344
+				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
345
+				VALIDATE_PRODUCT = YES;
346
+			};
347
+			name = Release;
348
+		};
349
+		504EC3171FED79650016851F /* Debug */ = {
350
+			isa = XCBuildConfiguration;
351
+			baseConfigurationReference = FC68EB0AF532CFC21C3344DD /* Pods-App.debug.xcconfig */;
352
+			buildSettings = {
353
+				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
354
+				CODE_SIGN_ENTITLEMENTS = App/App.entitlements;
355
+				CODE_SIGN_IDENTITY = "Apple Development";
356
+				CODE_SIGN_STYLE = Automatic;
357
+				DEVELOPMENT_TEAM = 5QTJEGL2H2;
358
+				INFOPLIST_FILE = App/Info.plist;
359
+				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
360
+				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
361
+				OTHER_SWIFT_FLAGS = "$(inherited) \"-D\" \"COCOAPODS\" \"-DDEBUG\"";
362
+				PRODUCT_BUNDLE_IDENTIFIER = net.simplico.tune2win;
363
+				PRODUCT_NAME = "$(TARGET_NAME)";
364
+				PROVISIONING_PROFILE_SPECIFIER = "";
365
+				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
366
+				SWIFT_VERSION = 5.0;
367
+				TARGETED_DEVICE_FAMILY = "1,2";
368
+			};
369
+			name = Debug;
370
+		};
371
+		504EC3181FED79650016851F /* Release */ = {
372
+			isa = XCBuildConfiguration;
373
+			baseConfigurationReference = AF51FD2D460BCFE21FA515B2 /* Pods-App.release.xcconfig */;
374
+			buildSettings = {
375
+				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
376
+				CODE_SIGN_ENTITLEMENTS = App/App.entitlements;
377
+				CODE_SIGN_IDENTITY = "Apple Development";
378
+				CODE_SIGN_STYLE = Automatic;
379
+				DEVELOPMENT_TEAM = 5QTJEGL2H2;
380
+				INFOPLIST_FILE = App/Info.plist;
381
+				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
382
+				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
383
+				PRODUCT_BUNDLE_IDENTIFIER = net.simplico.tune2win;
384
+				PRODUCT_NAME = "$(TARGET_NAME)";
385
+				PROVISIONING_PROFILE_SPECIFIER = "";
386
+				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "";
387
+				SWIFT_VERSION = 5.0;
388
+				TARGETED_DEVICE_FAMILY = "1,2";
389
+			};
390
+			name = Release;
391
+		};
392
+/* End XCBuildConfiguration section */
393
+
394
+/* Begin XCConfigurationList section */
395
+		504EC2FF1FED79650016851F /* Build configuration list for PBXProject "App" */ = {
396
+			isa = XCConfigurationList;
397
+			buildConfigurations = (
398
+				504EC3141FED79650016851F /* Debug */,
399
+				504EC3151FED79650016851F /* Release */,
400
+			);
401
+			defaultConfigurationIsVisible = 0;
402
+			defaultConfigurationName = Release;
403
+		};
404
+		504EC3161FED79650016851F /* Build configuration list for PBXNativeTarget "App" */ = {
405
+			isa = XCConfigurationList;
406
+			buildConfigurations = (
407
+				504EC3171FED79650016851F /* Debug */,
408
+				504EC3181FED79650016851F /* Release */,
409
+			);
410
+			defaultConfigurationIsVisible = 0;
411
+			defaultConfigurationName = Release;
412
+		};
413
+/* End XCConfigurationList section */
414
+	};
415
+	rootObject = 504EC2FC1FED79650016851F /* Project object */;
416
+}

+ 7 - 0
ios/App/App.xcodeproj/project.xcworkspace/contents.xcworkspacedata

@@ -0,0 +1,7 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<Workspace
3
+   version = "1.0">
4
+   <FileRef
5
+      location = "self:App.xcodeproj">
6
+   </FileRef>
7
+</Workspace>

+ 10 - 0
ios/App/App.xcworkspace/contents.xcworkspacedata

@@ -0,0 +1,10 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<Workspace
3
+   version = "1.0">
4
+   <FileRef
5
+      location = "group:App.xcodeproj">
6
+   </FileRef>
7
+   <FileRef
8
+      location = "group:Pods/Pods.xcodeproj">
9
+   </FileRef>
10
+</Workspace>

+ 8 - 0
ios/App/App.xcworkspace/xcshareddata/IDEWorkspaceChecks.plist

@@ -0,0 +1,8 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
3
+<plist version="1.0">
4
+<dict>
5
+	<key>IDEDidComputeMac32BitWarning</key>
6
+	<true/>
7
+</dict>
8
+</plist>

+ 10 - 0
ios/App/App/App.entitlements

@@ -0,0 +1,10 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
3
+<plist version="1.0">
4
+<dict>
5
+	<key>com.apple.developer.healthkit</key>
6
+	<true/>
7
+	<key>com.apple.developer.healthkit.access</key>
8
+	<array/>
9
+</dict>
10
+</plist>

+ 60 - 0
ios/App/App/AppDelegate.swift

@@ -0,0 +1,60 @@
1
+import UIKit
2
+import Capacitor
3
+
4
+@UIApplicationMain
5
+class AppDelegate: UIResponder, UIApplicationDelegate {
6
+
7
+    var window: UIWindow?
8
+
9
+    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
10
+        // Override point for customization after application launch.
11
+        return true
12
+    }
13
+
14
+    func applicationWillResignActive(_ application: UIApplication) {
15
+        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
16
+        // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
17
+    }
18
+
19
+    func applicationDidEnterBackground(_ application: UIApplication) {
20
+        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
21
+        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
22
+    }
23
+
24
+    func applicationWillEnterForeground(_ application: UIApplication) {
25
+        // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
26
+    }
27
+
28
+    func applicationDidBecomeActive(_ application: UIApplication) {
29
+        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
30
+    }
31
+
32
+    func applicationWillTerminate(_ application: UIApplication) {
33
+        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
34
+    }
35
+
36
+    func application(_ app: UIApplication, open url: URL, options: [UIApplication.OpenURLOptionsKey: Any] = [:]) -> Bool {
37
+        // Called when the app was launched with a url. Feel free to add additional processing here,
38
+        // but if you want the App API to support tracking app url opens, make sure to keep this call
39
+        return ApplicationDelegateProxy.shared.application(app, open: url, options: options)
40
+    }
41
+
42
+    func application(_ application: UIApplication, continue userActivity: NSUserActivity, restorationHandler: @escaping ([UIUserActivityRestoring]?) -> Void) -> Bool {
43
+        // Called when the app was launched with an activity, including Universal Links.
44
+        // Feel free to add additional processing here, but if you want the App API to support
45
+        // tracking app url opens, make sure to keep this call
46
+        return ApplicationDelegateProxy.shared.application(application, continue: userActivity, restorationHandler: restorationHandler)
47
+    }
48
+
49
+    override func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
50
+        super.touchesBegan(touches, with: event)
51
+
52
+        let statusBarRect = UIApplication.shared.statusBarFrame
53
+        guard let touchPoint = event?.allTouches?.first?.location(in: self.window) else { return }
54
+
55
+        if statusBarRect.contains(touchPoint) {
56
+            NotificationCenter.default.post(name: .capacitorStatusBarTapped, object: nil)
57
+        }
58
+    }
59
+
60
+}

BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-20x20@1x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-20x20@2x-1.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-20x20@2x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-20x20@3x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-29x29@1x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-29x29@2x-1.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-29x29@2x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-29x29@3x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-40x40@1x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-40x40@2x-1.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-40x40@2x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-40x40@3x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-512@2x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-60x60@2x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-60x60@3x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-76x76@1x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-76x76@2x.png


BIN
ios/App/App/Assets.xcassets/AppIcon.appiconset/AppIcon-83.5x83.5@2x.png


+ 116 - 0
ios/App/App/Assets.xcassets/AppIcon.appiconset/Contents.json

@@ -0,0 +1,116 @@
1
+{
2
+  "images" : [
3
+    {
4
+      "size" : "20x20",
5
+      "idiom" : "iphone",
6
+      "filename" : "AppIcon-20x20@2x.png",
7
+      "scale" : "2x"
8
+    },
9
+    {
10
+      "size" : "20x20",
11
+      "idiom" : "iphone",
12
+      "filename" : "AppIcon-20x20@3x.png",
13
+      "scale" : "3x"
14
+    },
15
+    {
16
+      "size" : "29x29",
17
+      "idiom" : "iphone",
18
+      "filename" : "AppIcon-29x29@2x-1.png",
19
+      "scale" : "2x"
20
+    },
21
+    {
22
+      "size" : "29x29",
23
+      "idiom" : "iphone",
24
+      "filename" : "AppIcon-29x29@3x.png",
25
+      "scale" : "3x"
26
+    },
27
+    {
28
+      "size" : "40x40",
29
+      "idiom" : "iphone",
30
+      "filename" : "AppIcon-40x40@2x.png",
31
+      "scale" : "2x"
32
+    },
33
+    {
34
+      "size" : "40x40",
35
+      "idiom" : "iphone",
36
+      "filename" : "AppIcon-40x40@3x.png",
37
+      "scale" : "3x"
38
+    },
39
+    {
40
+      "size" : "60x60",
41
+      "idiom" : "iphone",
42
+      "filename" : "AppIcon-60x60@2x.png",
43
+      "scale" : "2x"
44
+    },
45
+    {
46
+      "size" : "60x60",
47
+      "idiom" : "iphone",
48
+      "filename" : "AppIcon-60x60@3x.png",
49
+      "scale" : "3x"
50
+    },
51
+    {
52
+      "size" : "20x20",
53
+      "idiom" : "ipad",
54
+      "filename" : "AppIcon-20x20@1x.png",
55
+      "scale" : "1x"
56
+    },
57
+    {
58
+      "size" : "20x20",
59
+      "idiom" : "ipad",
60
+      "filename" : "AppIcon-20x20@2x-1.png",
61
+      "scale" : "2x"
62
+    },
63
+    {
64
+      "size" : "29x29",
65
+      "idiom" : "ipad",
66
+      "filename" : "AppIcon-29x29@1x.png",
67
+      "scale" : "1x"
68
+    },
69
+    {
70
+      "size" : "29x29",
71
+      "idiom" : "ipad",
72
+      "filename" : "AppIcon-29x29@2x.png",
73
+      "scale" : "2x"
74
+    },
75
+    {
76
+      "size" : "40x40",
77
+      "idiom" : "ipad",
78
+      "filename" : "AppIcon-40x40@1x.png",
79
+      "scale" : "1x"
80
+    },
81
+    {
82
+      "size" : "40x40",
83
+      "idiom" : "ipad",
84
+      "filename" : "AppIcon-40x40@2x-1.png",
85
+      "scale" : "2x"
86
+    },
87
+    {
88
+      "size" : "76x76",
89
+      "idiom" : "ipad",
90
+      "filename" : "AppIcon-76x76@1x.png",
91
+      "scale" : "1x"
92
+    },
93
+    {
94
+      "size" : "76x76",
95
+      "idiom" : "ipad",
96
+      "filename" : "AppIcon-76x76@2x.png",
97
+      "scale" : "2x"
98
+    },
99
+    {
100
+      "size" : "83.5x83.5",
101
+      "idiom" : "ipad",
102
+      "filename" : "AppIcon-83.5x83.5@2x.png",
103
+      "scale" : "2x"
104
+    },
105
+    {
106
+      "size" : "1024x1024",
107
+      "idiom" : "ios-marketing",
108
+      "filename" : "AppIcon-512@2x.png",
109
+      "scale" : "1x"
110
+    }
111
+  ],
112
+  "info" : {
113
+    "version" : 1,
114
+    "author" : "xcode"
115
+  }
116
+}

+ 6 - 0
ios/App/App/Assets.xcassets/Contents.json

@@ -0,0 +1,6 @@
1
+{
2
+  "info" : {
3
+    "version" : 1,
4
+    "author" : "xcode"
5
+  }
6
+}

+ 23 - 0
ios/App/App/Assets.xcassets/Splash.imageset/Contents.json

@@ -0,0 +1,23 @@
1
+{
2
+  "images" : [
3
+    {
4
+      "idiom" : "universal",
5
+      "filename" : "splash-2732x2732-2.png",
6
+      "scale" : "1x"
7
+    },
8
+    {
9
+      "idiom" : "universal",
10
+      "filename" : "splash-2732x2732-1.png",
11
+      "scale" : "2x"
12
+    },
13
+    {
14
+      "idiom" : "universal",
15
+      "filename" : "splash-2732x2732.png",
16
+      "scale" : "3x"
17
+    }
18
+  ],
19
+  "info" : {
20
+    "version" : 1,
21
+    "author" : "xcode"
22
+  }
23
+}

BIN
ios/App/App/Assets.xcassets/Splash.imageset/splash-2732x2732-1.png


BIN
ios/App/App/Assets.xcassets/Splash.imageset/splash-2732x2732-2.png


BIN
ios/App/App/Assets.xcassets/Splash.imageset/splash-2732x2732.png


+ 32 - 0
ios/App/App/Base.lproj/LaunchScreen.storyboard

@@ -0,0 +1,32 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="17132" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" launchScreen="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="01J-lp-oVM">
3
+    <device id="retina4_7" orientation="portrait" appearance="light"/>
4
+    <dependencies>
5
+        <deployment identifier="iOS"/>
6
+        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17105"/>
7
+        <capability name="System colors in document resources" minToolsVersion="11.0"/>
8
+        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
9
+    </dependencies>
10
+    <scenes>
11
+        <!--View Controller-->
12
+        <scene sceneID="EHf-IW-A2E">
13
+            <objects>
14
+                <viewController id="01J-lp-oVM" sceneMemberID="viewController">
15
+                    <imageView key="view" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="Splash" id="snD-IY-ifK">
16
+                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
17
+                        <autoresizingMask key="autoresizingMask"/>
18
+                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
19
+                    </imageView>
20
+                </viewController>
21
+                <placeholder placeholderIdentifier="IBFirstResponder" id="iYj-Kq-Ea1" userLabel="First Responder" sceneMemberID="firstResponder"/>
22
+            </objects>
23
+            <point key="canvasLocation" x="53" y="375"/>
24
+        </scene>
25
+    </scenes>
26
+    <resources>
27
+        <image name="Splash" width="1366" height="1366"/>
28
+        <systemColor name="systemBackgroundColor">
29
+            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
30
+        </systemColor>
31
+    </resources>
32
+</document>

+ 19 - 0
ios/App/App/Base.lproj/Main.storyboard

@@ -0,0 +1,19 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14111" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" colorMatched="YES" initialViewController="BYZ-38-t0r">
3
+    <device id="retina4_7" orientation="portrait">
4
+        <adaptation id="fullscreen"/>
5
+    </device>
6
+    <dependencies>
7
+        <deployment identifier="iOS"/>
8
+        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14088"/>
9
+    </dependencies>
10
+    <scenes>
11
+        <!--Bridge View Controller-->
12
+        <scene sceneID="tne-QT-ifu">
13
+            <objects>
14
+                <viewController id="BYZ-38-t0r" customClass="CAPBridgeViewController" customModule="Capacitor" sceneMemberID="viewController"/>
15
+                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
16
+            </objects>
17
+        </scene>
18
+    </scenes>
19
+</document>

+ 64 - 0
ios/App/App/Info.plist

@@ -0,0 +1,64 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
3
+<plist version="1.0">
4
+<dict>
5
+	<key>CFBundleDevelopmentRegion</key>
6
+	<string>en</string>
7
+	<key>CFBundleDisplayName</key>
8
+	<string>Tune2Win</string>
9
+	<key>CFBundleExecutable</key>
10
+	<string>$(EXECUTABLE_NAME)</string>
11
+	<key>CFBundleIdentifier</key>
12
+	<string>$(PRODUCT_BUNDLE_IDENTIFIER)</string>
13
+	<key>CFBundleInfoDictionaryVersion</key>
14
+	<string>6.0</string>
15
+	<key>CFBundleName</key>
16
+	<string>$(PRODUCT_NAME)</string>
17
+	<key>CFBundlePackageType</key>
18
+	<string>APPL</string>
19
+	<key>CFBundleShortVersionString</key>
20
+	<string>1.0</string>
21
+	<key>CFBundleVersion</key>
22
+	<string>1</string>
23
+	<key>LSRequiresIPhoneOS</key>
24
+	<true/>
25
+	<key>NSAppTransportSecurity</key>
26
+	<dict>
27
+		<key>NSAllowsArbitraryLoads</key>
28
+		<true/>
29
+	</dict>
30
+    <key>NSContactsUsageDescription</key>
31
+    <string>Get Contact for your trainings</string>
32
+    <key>NSCalendarsUsageDescription</key>
33
+    <string>Access Calendar for trainings</string>
34
+	<key>NSHealthClinicalHealthRecordsShareUsageDescription</key>
35
+	<string>Get data for improve athlete</string>
36
+	<key>NSHealthShareUsageDescription</key>
37
+	<string>Get data for improve athlete</string>
38
+	<key>NSHealthUpdateUsageDescription</key>
39
+	<string>Get data for improve athlete</string>
40
+	<key>UILaunchStoryboardName</key>
41
+	<string>LaunchScreen</string>
42
+	<key>UIMainStoryboardFile</key>
43
+	<string>Main</string>
44
+	<key>UIRequiredDeviceCapabilities</key>
45
+	<array>
46
+		<string>armv7</string>
47
+	</array>
48
+	<key>UISupportedInterfaceOrientations</key>
49
+	<array>
50
+		<string>UIInterfaceOrientationPortrait</string>
51
+		<string>UIInterfaceOrientationLandscapeLeft</string>
52
+		<string>UIInterfaceOrientationLandscapeRight</string>
53
+	</array>
54
+	<key>UISupportedInterfaceOrientations~ipad</key>
55
+	<array>
56
+		<string>UIInterfaceOrientationPortrait</string>
57
+		<string>UIInterfaceOrientationPortraitUpsideDown</string>
58
+		<string>UIInterfaceOrientationLandscapeLeft</string>
59
+		<string>UIInterfaceOrientationLandscapeRight</string>
60
+	</array>
61
+	<key>UIViewControllerBasedStatusBarAppearance</key>
62
+	<true/>
63
+</dict>
64
+</plist>

+ 9 - 0
ios/App/App/capacitor.config.json

@@ -0,0 +1,9 @@
1
+{
2
+	"appId": "io.ionic.starter",
3
+	"appName": "Tune2Win",
4
+	"webDir": "www",
5
+	"bundledWebRuntime": false,
6
+	"server": {
7
+		"url": "http://192.168.1.38:8100"
8
+	}
9
+}

+ 14 - 0
ios/App/App/config.xml

@@ -0,0 +1,14 @@
1
+<?xml version='1.0' encoding='utf-8'?>
2
+<widget version="1.0.0" xmlns="http://www.w3.org/ns/widgets" xmlns:cdv="http://cordova.apache.org/ns/1.0">
3
+  <access origin="*" />
4
+  
5
+  <feature name="Calendar">
6
+    <param name="ios-package" value="Calendar"/>
7
+  </feature>
8
+
9
+  <feature name="HealthKit">
10
+    <param name="ios-package" value="HealthKit"/>
11
+  </feature>
12
+
13
+  
14
+</widget>

+ 22 - 0
ios/App/Podfile

@@ -0,0 +1,22 @@
1
+platform :ios, '12.0'
2
+use_frameworks!
3
+
4
+# workaround to avoid Xcode caching of Pods that requires
5
+# Product -> Clean Build Folder after new Cordova plugins installed
6
+# Requires CocoaPods 1.6 or newer
7
+install! 'cocoapods', :disable_input_output_paths => true
8
+
9
+def capacitor_pods
10
+  pod 'Capacitor', :path => '../../node_modules/@capacitor/ios'
11
+  pod 'CapacitorCordova', :path => '../../node_modules/@capacitor/ios'
12
+  pod 'CapacitorApp', :path => '../../node_modules/@capacitor/app'
13
+  pod 'CapacitorHaptics', :path => '../../node_modules/@capacitor/haptics'
14
+  pod 'CapacitorKeyboard', :path => '../../node_modules/@capacitor/keyboard'
15
+  pod 'CapacitorStatusBar', :path => '../../node_modules/@capacitor/status-bar'
16
+  pod 'CordovaPlugins', :path => '../capacitor-cordova-ios-plugins'
17
+end
18
+
19
+target 'App' do
20
+  capacitor_pods
21
+  # Add your Pods here
22
+end

+ 44 - 0
karma.conf.js

@@ -0,0 +1,44 @@
1
+// Karma configuration file, see link for more information
2
+// https://karma-runner.github.io/1.0/config/configuration-file.html
3
+
4
+module.exports = function (config) {
5
+  config.set({
6
+    basePath: '',
7
+    frameworks: ['jasmine', '@angular-devkit/build-angular'],
8
+    plugins: [
9
+      require('karma-jasmine'),
10
+      require('karma-chrome-launcher'),
11
+      require('karma-jasmine-html-reporter'),
12
+      require('karma-coverage'),
13
+      require('@angular-devkit/build-angular/plugins/karma')
14
+    ],
15
+    client: {
16
+      jasmine: {
17
+        // you can add configuration options for Jasmine here
18
+        // the possible options are listed at https://jasmine.github.io/api/edge/Configuration.html
19
+        // for example, you can disable the random execution with `random: false`
20
+        // or set a specific seed with `seed: 4321`
21
+      },
22
+      clearContext: false // leave Jasmine Spec Runner output visible in browser
23
+    },
24
+    jasmineHtmlReporter: {
25
+      suppressAll: true // removes the duplicated traces
26
+    },
27
+    coverageReporter: {
28
+      dir: require('path').join(__dirname, './coverage/ngv'),
29
+      subdir: '.',
30
+      reporters: [
31
+        { type: 'html' },
32
+        { type: 'text-summary' }
33
+      ]
34
+    },
35
+    reporters: ['progress', 'kjhtml'],
36
+    port: 9876,
37
+    colors: true,
38
+    logLevel: config.LOG_INFO,
39
+    autoWatch: true,
40
+    browsers: ['Chrome'],
41
+    singleRun: false,
42
+    restartOnFileChange: true
43
+  });
44
+};

Разлика између датотеке није приказан због своје велике величине
+ 39378 - 0
package-lock.json


+ 75 - 0
package.json

@@ -0,0 +1,75 @@
1
+{
2
+  "name": "Tune2Win",
3
+  "version": "0.0.1",
4
+  "author": "Ionic Framework",
5
+  "homepage": "https://ionicframework.com/",
6
+  "scripts": {
7
+    "ng": "ng",
8
+    "start": "ng serve",
9
+    "build": "ng build",
10
+    "test": "ng test",
11
+    "lint": "ng lint",
12
+    "e2e": "ng e2e"
13
+  },
14
+  "private": true,
15
+  "dependencies": {
16
+    "@angular/common": "~13.0.0",
17
+    "@angular/core": "~13.0.0",
18
+    "@angular/forms": "~13.0.0",
19
+    "@angular/platform-browser": "~13.0.0",
20
+    "@angular/platform-browser-dynamic": "~13.0.0",
21
+    "@angular/router": "~13.0.0",
22
+    "@awesome-cordova-plugins/calendar": "^5.39.1",
23
+    "@awesome-cordova-plugins/health": "^5.39.1",
24
+    "@capacitor/app": "1.1.0",
25
+    "@capacitor/core": "3.4.1",
26
+    "@capacitor/haptics": "1.1.4",
27
+    "@capacitor/ios": "3.4.1",
28
+    "@capacitor/keyboard": "1.2.2",
29
+    "@capacitor/status-bar": "1.0.8",
30
+    "@ionic/angular": "^6.0.0",
31
+    "@ionic/storage-angular": "^3.0.6",
32
+    "chart.js": "^3.7.1",
33
+    "cordova-plugin-calendar": "^5.1.6",
34
+    "cordova-plugin-health": "^2.0.3",
35
+    "date-fns": "^2.28.0",
36
+    "ng2-charts": "^3.0.0-rc.7",
37
+    "rxjs": "~6.6.0",
38
+    "tslib": "^2.2.0",
39
+    "zone.js": "~0.11.4"
40
+  },
41
+  "devDependencies": {
42
+    "@angular-devkit/build-angular": "~13.0.1",
43
+    "@angular-eslint/builder": "~13.0.1",
44
+    "@angular-eslint/eslint-plugin": "~13.0.1",
45
+    "@angular-eslint/eslint-plugin-template": "~13.0.1",
46
+    "@angular-eslint/template-parser": "~13.0.1",
47
+    "@angular/cli": "~13.0.1",
48
+    "@angular/compiler": "~13.0.0",
49
+    "@angular/compiler-cli": "~13.0.0",
50
+    "@angular/language-service": "~13.0.0",
51
+    "@capacitor/cli": "3.4.1",
52
+    "@ionic/angular-toolkit": "^5.0.0",
53
+    "@types/jasmine": "~3.6.0",
54
+    "@types/jasminewd2": "~2.0.3",
55
+    "@types/node": "^12.11.1",
56
+    "@typescript-eslint/eslint-plugin": "5.3.0",
57
+    "@typescript-eslint/parser": "5.3.0",
58
+    "eslint": "^7.6.0",
59
+    "eslint-plugin-import": "2.22.1",
60
+    "eslint-plugin-jsdoc": "30.7.6",
61
+    "eslint-plugin-prefer-arrow": "1.2.2",
62
+    "jasmine-core": "~3.8.0",
63
+    "jasmine-spec-reporter": "~5.0.0",
64
+    "karma": "~6.3.2",
65
+    "karma-chrome-launcher": "~3.1.0",
66
+    "karma-coverage": "~2.0.3",
67
+    "karma-coverage-istanbul-reporter": "~3.0.2",
68
+    "karma-jasmine": "~4.0.0",
69
+    "karma-jasmine-html-reporter": "^1.5.0",
70
+    "protractor": "~7.0.0",
71
+    "ts-node": "~8.3.0",
72
+    "typescript": "~4.4.4"
73
+  },
74
+  "description": "An Ionic project"
75
+}

BIN
resources/icon.png


BIN
resources/ios/icon/icon-1024.png


BIN
resources/ios/icon/icon-108@2x.png


BIN
resources/ios/icon/icon-20.png


BIN
resources/ios/icon/icon-20@2x.png


BIN
resources/ios/icon/icon-20@3x.png


BIN
resources/ios/icon/icon-24@2x.png


BIN
resources/ios/icon/icon-27.5@2x.png


BIN
resources/ios/icon/icon-29.png


BIN
resources/ios/icon/icon-29@2x.png


BIN
resources/ios/icon/icon-29@3x.png


BIN
resources/ios/icon/icon-40.png


BIN
resources/ios/icon/icon-40@2x.png


BIN
resources/ios/icon/icon-40@3x.png


BIN
resources/ios/icon/icon-44@2x.png


BIN
resources/ios/icon/icon-50.png


BIN
resources/ios/icon/icon-50@2x.png


BIN
resources/ios/icon/icon-60.png


BIN
resources/ios/icon/icon-60@2x.png


BIN
resources/ios/icon/icon-60@3x.png


BIN
resources/ios/icon/icon-72.png


BIN
resources/ios/icon/icon-72@2x.png


BIN
resources/ios/icon/icon-76.png


BIN
resources/ios/icon/icon-76@2x.png


BIN
resources/ios/icon/icon-83.5@2x.png


BIN
resources/ios/icon/icon-86@2x.png


BIN
resources/ios/icon/icon-98@2x.png


BIN
resources/ios/icon/icon.png


BIN
resources/ios/icon/icon@2x.png


BIN
resources/ios/splash/Default-1792h~iphone.png


BIN
resources/ios/splash/Default-2436h.png


BIN
resources/ios/splash/Default-2688h~iphone.png


BIN
resources/ios/splash/Default-568h@2x~iphone.png


BIN
resources/ios/splash/Default-667h.png


BIN
resources/ios/splash/Default-736h.png


BIN
resources/ios/splash/Default-Landscape-1792h~iphone.png


BIN
resources/ios/splash/Default-Landscape-2436h.png


BIN
resources/ios/splash/Default-Landscape-2688h~iphone.png


BIN
resources/ios/splash/Default-Landscape-736h.png


BIN
resources/ios/splash/Default-Landscape@2x~ipad.png


BIN
resources/ios/splash/Default-Landscape@~ipadpro.png


BIN
resources/ios/splash/Default-Landscape~ipad.png


BIN
resources/ios/splash/Default-Portrait@2x~ipad.png


BIN
resources/ios/splash/Default-Portrait@~ipadpro.png


BIN
resources/ios/splash/Default-Portrait~ipad.png


BIN
resources/ios/splash/Default@2x~iphone.png


BIN
resources/ios/splash/Default@2x~universal~anyany.png


BIN
resources/ios/splash/Default~iphone.png


+ 0 - 0
resources/splash.png


Неке датотеке нису приказане због велике количине промена

network report · 014d03eb90 - Gogs: Simplico Git Service
ソースを参照

network report

tum 2 年 前
コミット
014d03eb90

BIN
app/Output/excel_out_test_excel_formatter_update.xlsx


+ 6 - 0
app/backend/templates/backend/print_table.html

@@ -0,0 +1,6 @@
1
+{% extends "base.html" %}
2
+{% load backend_tags %}
3
+{% block content %}
4
+  <h2>Print Table</h2>
5
+  
6
+{% endblock %}

+ 30 - 33
app/backend/templates/backend/reports2.html

@@ -6,46 +6,43 @@
6 6
   <a href="">Generate Report</a>
7 7
   <!-- 
8 8
     {{ sla | pprint }} -->
9
-  <div class='table-responsive'>
10
-    {% for v in sla.result %}
11
-    <h2>{{ v.ids.sla_name  }}</h2>
12
-    <table class='table table-bordered' style='min-width:1600px'>
13
-      <thead>
14
-    {% with services=sla_results|kv:v.ids.sla_name %}
15
-     <tr>
16
-      {% for si in services.result.service_instances %}
17
-      {% service_value service_results v.ids.sla_name si.service_name  as sv %}
18
-      <th colspan='{{ sv.test_templates.0.input_parameters|true_length }}' class='text-center'>{{ si.service_instance_name }}
19
-      </th>
20
-      {% endfor %}
21
-      </tr>
22
-      <tr>
23
-      {% for si in services.result.service_instances %}
24
-        {% service_value service_results v.ids.sla_name si.service_name  as sv %}
25
-        {% with ts=sv.test_templates.0.input_parameters|true_value %}
26
-          {% for tv in ts %}
27
-          <th style='vertical-align:top'>{{ tv.0 }}/<br>{{ tv.1 }}</th>
9
+      {% for v in sla.result %}
10
+      <div class='text-center'>
11
+        <h2>{{ v.ids.sla_name  }}</h2><br>
12
+        <div class='d-flex  text-center'>
13
+          {% with services=sla_results|kv:v.ids.sla_name %}
14
+          {% for si in services.result.service_instances %}
15
+          <div class='text-center border p-3'>
16
+            {{ si.service_instance_name }}<br>
17
+            {% service_value service_results v.ids.sla_name si.service_name  as sv %}
18
+            <div class='d-flex'>
19
+              <div class='p-3'>
20
+                <div class='d-flex'>
21
+                  {% for tt in sv.test_templates %}
22
+                  <div class='d-flex'>
23
+                    {% for tt2 in tt.test_metric_templates %}
24
+                      <div class='text-center border p-3'>{{ tt2.name }}</div>
25
+                    {% endfor %}
26
+                  </div>
27
+                  {% endfor %} 
28
+                </div>
29
+              </div>
30
+            </div>
31
+          </div>
28 32
           {% endfor %}
29
-        {% endwith %}
33
+          {% endwith %}
34
+        </div>
35
+      </div>
30 36
       {% endfor %}
31
-      </tr>
32
-    <tr>
33
-    </tr>
34
-    {% endwith %}
35
-      </thead>
36
-    </table>
37
-    {% endfor %}
38
-    
39
-  </div>
40 37
 
41 38
  {% comment %}<pre>{% endcomment %}
42 39
  {% comment %}SLA Result{% endcomment %}
43 40
     {% comment %}{{ sla_results | pprint }}{% endcomment %}
44 41
  {% comment %}</pre>{% endcomment %}
45
- {% comment %}<pre>{% endcomment %}
46
-{% comment %}Test Status{% endcomment %}
47
-  {% comment %}{{ test_status | pprint }}{% endcomment %}
48
- {% comment %}</pre>{% endcomment %}
42
+ <pre>
43
+Test Status
44
+  {{ test_status | pprint }}
45
+ </pre>
49 46
  <pre>
50 47
 Service Results
51 48
   {{ service_results | pprint }}

+ 2 - 0
app/backend/templatetags/backend_tags.py

@@ -26,6 +26,8 @@ def kv(obj, value):
26 26
 
27 27
 @register.simple_tag
28 28
 def test_value(obj, sla, service_name):
29
+    pprint("-- test-value --")
30
+    pprint(f"{sla} , {service_name}")
29 31
     try:
30 32
         for r in obj[sla]['result']:
31 33
             if r['service_instance_name'] == service_name:

+ 2 - 0
app/backend/urls.py

@@ -9,4 +9,6 @@ urlpatterns = [
9 9
     path('remote/', views.remote, name='remote'),
10 10
     path('reports/', views.reports, name='reports'),
11 11
     path('service_status/', views.service_status, name='service_status'),
12
+    path('dump_api/', views.dump_api, name='dump_api'),
13
+    path('print_table/', views.print_table, name='print_table'),
12 14
 ]

+ 96 - 2
app/backend/views.py

@@ -4,8 +4,9 @@ from exfo.lib import Exfo, Mikrotik
4 4
 from pprint import pprint
5 5
 
6 6
 from ttp import ttp
7
-from django.http import JsonResponse
8
-
7
+from django.http import JsonResponse, HttpResponse
8
+from datetime import datetime
9
+from celery import shared_task
9 10
 
10 11
 exfo = Exfo("administrator", "exf0w0rxC@t4dm!n")
11 12
 exfo.login()
@@ -154,4 +155,97 @@ def reports(request):
154 155
         except:
155 156
             test_status[r['ids']['sla_name']] = {}
156 157
     return render(request, 'backend/reports2.html', {'days': days, 'sla': sla.json(), 'sla_results': sla_results, 'test_status': test_status, 'service_results': service_results })
158
+
159
+def dump_api(request):
160
+    from bson.json_util import dumps
161
+    from bson.json_util import loads
162
+    col  = db['exfo_api']
163
+    # col.delete_many({})
164
+    sla = exfo.call_api("sla")
165
+    sla_json = sla.json()
166
+    temp = sla_json['result']
167
+    for t in temp:
168
+        sla_uri = t['ids']['sla_uri']
169
+        sla_name = t['ids']['sla_name']
170
+        r = exfo.call_remote_api(sla_uri).json()
171
+        t['sla_uri_result'] = r['result']
172
+        service_result = []
173
+        for si in r['result']['service_instances']:
174
+            c = exfo.call_remote_api(si['service_uri']).json()['result']
175
+            service_result.append(c)
176
+
177
+        test_instance_class_result = []
178
+        test_status_result = []
179
+
180
+        for si in r['result']['tests']:
181
+            c = exfo.call_remote_api(si['test_instance_class_uri']).json()['result']
182
+            service = c['service']
183
+            target = None
184
+            if 'target' in c:
185
+                target = c['target']
186
+            test_instance_class_result.append(c)
187
+            c = exfo.call_remote_api(si['test_status_uri']).json()['result']
188
+            test_status_result.append({'sla_name':sla_name, 'test_instance_id': si['test_instance_id'],\
189
+                                    'service': service, 'target': target, \
190
+                                    'type_type_name':  si['test_type_name'],\
191
+                                    'test_instance_class_id': si['test_instance_class_id']  , 'status': c, })
192
+
193
+        t['test_instance_class_result'] = test_instance_class_result
194
+        t['test_status_result'] = test_status_result
195
+        t['created'] = datetime.utcnow()
196
+        col.insert_one(t)
197
+
198
+    # pprint(temp)
199
+    #col.insert_many(temp)
200
+    results = col.find({})
201
+    data = dumps(list(results), indent=4)
202
+    return HttpResponse(data, content_type='application/json')
203
+
204
+
205
+@shared_task
206
+def dump_api_task():
207
+    from bson.json_util import dumps
208
+    from bson.json_util import loads
209
+    col  = db['exfo_api']
210
+    # col.delete_many({})
211
+    sla = exfo.call_api("sla")
212
+    sla_json = sla.json()
213
+    temp = sla_json['result']
214
+    for t in temp:
215
+        sla_uri = t['ids']['sla_uri']
216
+        sla_name = t['ids']['sla_name']
217
+        r = exfo.call_remote_api(sla_uri).json()
218
+        t['sla_uri_result'] = r['result']
219
+        service_result = []
220
+        for si in r['result']['service_instances']:
221
+            c = exfo.call_remote_api(si['service_uri']).json()['result']
222
+            service_result.append(c)
223
+
224
+        test_instance_class_result = []
225
+        test_status_result = []
226
+
227
+        for si in r['result']['tests']:
228
+            c = exfo.call_remote_api(si['test_instance_class_uri']).json()['result']
229
+            service = c['service']
230
+            target = None
231
+            if 'target' in c:
232
+                target = c['target']
233
+            test_instance_class_result.append(c)
234
+            c = exfo.call_remote_api(si['test_status_uri']).json()['result']
235
+            test_status_result.append({'sla_name':sla_name, 'test_instance_id': si['test_instance_id'],\
236
+                                    'service': service, 'target': target, \
237
+                                    'type_type_name':  si['test_type_name'],\
238
+                                    'test_instance_class_id': si['test_instance_class_id']  , 'status': c, })
239
+
240
+        t['test_instance_class_result'] = test_instance_class_result
241
+        t['test_status_result'] = test_status_result
242
+        t['created'] = datetime.utcnow()
243
+        col.insert_one(t)
244
+
245
+    pprint("Dump API ... Finished")
246
+
247
+def print_table(request):
248
+    return render(request, 'backend/print_table.html')
249
+
250
+
157 251
     

+ 3 - 1
app/exfo/lib.py

@@ -1,6 +1,8 @@
1 1
 import requests
2 2
 from pprint import pprint
3 3
 
4
+import functools
5
+
4 6
 class Exfo:
5 7
     BASE_URL = "https://159.192.8.11/API/REST"
6 8
     BASE_IP = "https://159.192.8.11"
@@ -46,7 +48,7 @@ class Exfo:
46 48
         response = self.session.get(url, headers=headers, data=payload, verify=False)
47 49
         pprint(response.json())
48 50
         return response
49
-
51
+    
50 52
     def call_remote_api(self, ep, payload={}):
51 53
         
52 54
         headers = {

+ 7 - 0
app/network_report/celery.py

@@ -0,0 +1,7 @@
1
+import os
2
+from celery import Celery
3
+
4
+os.environ.setdefault('DJANGO_SETTINGS_MODULES', 'network_report.settings')
5
+app = Celery('network_report', broker='pyamqp://guest:guest@rabbitmq3//')
6
+app.config_from_object('django.conf:settings', namespace='CELERY')
7
+app.autodiscover_tasks()

+ 12 - 1
app/network_report/settings.py

@@ -24,7 +24,7 @@ env = environ.Env()
24 24
 environ.Env.read_env()
25 25
 # Build paths inside the project like this: BASE_DIR / 'subdir'.
26 26
 BASE_DIR = Path(__file__).resolve().parent.parent
27
-
27
+from celery.schedules import crontab
28 28
 
29 29
 # Quick-start development settings - unsuitable for production
30 30
 # See https://docs.djangoproject.com/en/4.1/howto/deployment/checklist/
@@ -192,3 +192,14 @@ YARN_INSTALLED_APPS = (
192 192
     'tailwind-color-palette', 
193 193
     'paper-css'
194 194
 )
195
+
196
+
197
+CELERY_BEAT_SCHEDULE = {
198
+    # "dumpapi": {
199
+        # "task": "backend.views.dump_api_task",
200
+        #"schedule": crontab(minute="*/1"),
201
+        # "schedule": crontab(minute="*/30"),
202
+        # "schedule": crontab(hour="17", minute="15"),
203
+        # "schedule": crontab(hour="*/1"),
204
+    # },
205
+}

+ 1 - 1
app/worker-entrypoint.sh

@@ -1,3 +1,3 @@
1 1
 #!/bin/bash
2
-celery -A kacee worker -B  -l info
2
+celery -A network_report worker -B  -l info
3 3
 #celery -A kacee beat --detach -l info

+ 29 - 29
docker-compose.yml

@@ -5,7 +5,7 @@ services:
5 5
     ports:
6 6
       - "6379"
7 7
   db:
8
-    image: postgres
8
+    image: postgres:15.5-alpine3.19
9 9
     volumes:
10 10
       - ./data/db:/var/lib/postgresql/data
11 11
     ports:
@@ -17,7 +17,7 @@ services:
17 17
   mongodb:
18 18
     image: mongo:6-jammy
19 19
     ports:
20
-      - '27017'
20
+      - '27017:27017'
21 21
     volumes:
22 22
       - ./mongodb:/data/db
23 23
   web:
@@ -43,24 +43,24 @@ services:
43 43
       - db
44 44
       - redis
45 45
       #- rabbitmq
46
-  #worker:
47
-    #restart: unless-stopped
48
-    ##build: .
49
-    #image: tum/network-report-image
50
-    ##command: python -X dev manage.py  runserver 0.0.0.0:8000
51
-    #entrypoint: ./worker-entrypoint.sh
52
-    #volumes:
53
-      #- ./app:/code
54
-      #- ./media:/code/media
55
-    #environment:
56
-      #- POSTGRES_NAME=postgres
57
-      #- POSTGRES_USER=postgres
58
-      #- POSTGRES_PASSWORD=postgres
59
-      #- PYTHONMALLOC=debug
60
-      #- DJANGO_SETTINGS_MODULE=kacee.settings
61
-      #- MODE=${MODE}
62
-    #depends_on:
63
-      #- web
46
+  worker:
47
+    restart: unless-stopped
48
+    #build: .
49
+    image: tum/network-report-image
50
+    #command: python -X dev manage.py  runserver 0.0.0.0:8000
51
+    entrypoint: ./worker-entrypoint.sh
52
+    volumes:
53
+      - ./app:/code
54
+      - ./media:/code/media
55
+    environment:
56
+      - POSTGRES_NAME=postgres
57
+      - POSTGRES_USER=postgres
58
+      - POSTGRES_PASSWORD=postgres
59
+      - PYTHONMALLOC=debug
60
+      - DJANGO_SETTINGS_MODULE=network_report.settings
61
+      - MODE=${MODE}
62
+    depends_on:
63
+      - web
64 64
   #websocket:
65 65
     ##build: .
66 66
     #image: tum/network-report-image
@@ -79,14 +79,14 @@ services:
79 79
     #depends_on:
80 80
       #- db
81 81
       #- redis
82
-  #rabbitmq:
83
-    #image: rabbitmq:3-management-alpine
84
-    #container_name: 'rabbitmq'
85
-    #ports:
86
-      #- "127.0.0.1:5672:5672"
87
-      #- "127.0.0.1:15672:15672"
88
-    #volumes:
89
-        #- ./rabbitmq/data/:/var/lib/rabbitmq/
90
-        #- ./rabbitmq/log/:/var/log/rabbitmq
82
+  rabbitmq:
83
+    image: rabbitmq:3-management-alpine
84
+    container_name: 'rabbitmq3'
85
+    ports:
86
+      - "5672:5672"
87
+      - "15672:15672"
88
+    volumes:
89
+        - ./rabbitmq/data/:/var/lib/rabbitmq/
90
+        - ./rabbitmq/log/:/var/log/rabbitmq
91 91
     #networks:
92 92
         #- rabbitmq_go_net

File diff suppressed because it is too large
+ 5659 - 0
network.ipynb


BIN
ping_test.xlsx


+ 1 - 1
requirements.txt

@@ -38,7 +38,7 @@ django-formset
38 38
 django-multiselectfield
39 39
 django_ace
40 40
 django-autoslug
41
-celery==5.2.7
41
+celery
42 42
 django-phonenumber-field[phonenumbers]
43 43
 django-credit-cards
44 44
 django-payments[stripe]

BIN
table.xlsx


BIN
table1703516489.xlsx


BIN
table2.xlsx


BIN
table3.xlsx


BIN
test.xlsx


BIN
~$table1703516489.xlsx


BIN
~$table3.xlsx